Package kiyut.sketsa.options

## Class OptionsUtilities

- java.lang.Object
- - kiyut.sketsa.options.OptionsUtilities

-     public class OptionsUtilities
      extends Object

  Collections of Options Utilities
  Author:
    Kiyut

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `colorToString​(Color color)` | Return string representative of the color in hex format eg:#53F27C
    `static String` | `fontToString​(Font font)` | Return font to string in the following format fontName;fontStyle;fontSize
    `static Color` | `stringToColor​(String value)` | Return Color from the supplied value string in hex format eg:#53F27C
    `static Color` | `stringToColor​(String value, Color def)` | Return Color from the supplied value string in hex format eg:#53F27C
    `static Font` | `stringToFont​(String value)` | Return Font from the supplied string in the following format fontName;fontStyle;fontSize

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fontToString

          public static String fontToString​(Font font)

      Return font to string in the following format fontName;fontStyle;fontSize
      Parameters:
        `font` - the `Font`
      Returns:
        string
      See Also:
        `stringToFont(String)`

    - #### stringToFont

          public static Font stringToFont​(String value)

      Return Font from the supplied string in the following format fontName;fontStyle;fontSize
      Parameters:
        `value` - `String` that describe the font
      Returns:
        Font
      See Also:
        `fontToString(Font)`

    - #### colorToString

          public static String colorToString​(Color color)

      Return string representative of the color in hex format eg:#53F27C
      Parameters:
        `color` - `Color` to be converted
      Returns:
        string representative of the color
      See Also:
        `stringToColor(String)`

    - #### stringToColor

          public static Color stringToColor​(String value)

      Return Color from the supplied value string in hex format eg:#53F27C
      Parameters:
        `value` - `String` that describe the Color
      Returns:
        Color or null
      See Also:
        `colorToString(Color)`

    - #### stringToColor

          public static Color stringToColor​(String value,
                                            Color def)

      Return Color from the supplied value string in hex format eg:#53F27C
      Parameters:
        `value` - `String` that describe the Color
        `def` - the value to be returned in the event that this parsing fail for whatever reason
      Returns:
        Color
      See Also:
        `stringToColor(String)`, `colorToString(Color)`